SDL_HasARMSIMD(3)

NAME
SDL_HasARMSIMD - Determine whether the CPU has ARM SIMD (ARMv6) features.

HEADER FILE
Defined in SDL3/SDL_cpuinfo.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_HasARMSIMD(void);

DESCRIPTION
This is different from ARM NEON, which is a different instruction set. This always returns false on CPUs that aren't using ARM instruction sets.

RETURN VALUE
Returns SDL_TRUE
 if the CPU has ARM SIMD features or SDL_FALSE
 if not.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_HasNEON(3)